OpenNMS API 1.2.9

## org.opennms.netmgt.filter.parser
Class State

    java.lang.Object
      org.opennms.netmgt.filter.parser.State

final class State
extends java.lang.Object

Field Summary
`(package private) java.lang.Object` `node`
`(package private) int` `state`

Constructor Summary
`(package private)` `State(int state, java.lang.Object node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    int state

### node

    java.lang.Object node

Constructor Detail

### State

    State(int state,
          java.lang.Object node)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.